<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "mybatis-3-mapper.dtd">
<mapper namespace="com.mortals.xhx.module.staff.dao.ibatis.StaffDaoImpl">

    <select id="queryFormal" resultType="integer">
        select count(1) formalStaff from mortals_xhx_staff where status = 1
    </select>
    <select id="queryOnTrial" resultType="integer">
        select count(1) onTrialStaff from mortals_xhx_staff where status = 2
    </select>
    <select id="queryInWork" resultType="integer">
        select count(1) inWorkStaff from mortals_xhx_staff where status <![CDATA[<>]]> 3
    </select>
    <select id="queryFull" resultType="integer">
        select count(1) fullStaff from mortals_xhx_staff where staffType = 1
    </select>
    <select id="queryConcurrently" resultType="integer">
        select count(1) concurrentlyStaff from mortals_xhx_staff where staffType = 2
    </select>
    <select id="queryPricate" resultType="integer">
        select count(1) pricateStaff from mortals_xhx_staff where staffType = 3
    </select>

    <select id="queryHik" resultType="com.mortals.xhx.module.staff.model.StaffEntity">
        select * from mortals_xhx_staff where remarkId = #{remarkId}
    </select>
    <select id="queryJob" resultType="com.mortals.xhx.module.staff.model.StaffEntity">
        select * from mortals_xhx_staff where positionId = #{positionId}
    </select>
</mapper>